org.bdgenomics.adam.sql

# Variant

###
Related Docs: object Variant | package sql

#### case class Variant(referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, names: Seq[String] = Seq(), splitFromMultiAllelic: Option[Boolean] = None, referenceAllele: Option[String] = None, alternateAllele: Option[String] = None, quality: Option[Double] = None, filtersApplied: Option[Boolean] = None, filtersPassed: Option[Boolean] = None, filtersFailed: Seq[String] = Seq(), annotation: Option[VariantAnnotation] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Variant
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Variant(referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, names: Seq[String] = Seq(), splitFromMultiAllelic: Option[Boolean] = None, referenceAllele: Option[String] = None, alternateAllele: Option[String] = None, quality: Option[Double] = None, filtersApplied: Option[Boolean] = None, filtersPassed: Option[Boolean] = None, filtersFailed: Seq[String] = Seq(), annotation: Option[VariantAnnotation] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alternateAllele: Option[String]

5. #### val annotation: Option[VariantAnnotation]

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     Variant → Equals

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val end: Option[Long]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### val filtersApplied: Option[Boolean]

12. #### val filtersFailed: Seq[String]

13. #### val filtersPassed: Option[Boolean]

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### val names: Seq[String]

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def productArity: Int

    Definition Classes
      Variant → Product

22. #### def productElement(i: Int): Any

    Definition Classes
      Variant → Product

23. #### val quality: Option[Double]

24. #### val referenceAllele: Option[String]

25. #### val referenceName: Option[String]

26. #### val splitFromMultiAllelic: Option[Boolean]

27. #### val start: Option[Long]

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toAvro: formats.avro.Variant

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped